<div class="wrapper-outer">
  <div class="container">
    <div class="row">
      <div class="col-sm-12">
        <div class="cont-login">

          <h4 *ngIf="todaysAttendanceList.length">Time Counter</h4>
          <div *ngFor="let attendance of todaysAttendanceList;">
            <div class="shadow-box" *ngIf="attendance.CheckIn">
              <!-- | date:"shortTime" -->
              Today Check In Time {{today | date:'dd/MM/yyyy'}} ( {{attendance.CheckIn.replace(".",":") }} )
            </div>
            <div class="shadow-box" *ngIf="attendance.checkOut != 00.00 || checkout">
              Today Check Out Time {{today | date:'dd/MM/yyyy'}} ( {{attendance.checkOut.replace(".",":")}} )
            </div>
          </div>

          <!-- <div class="form-box" *ngIf=!offsiteLockAttendanceTracking style="display: none;">
            <div class="form-group">
              <div class="row">
                <div class="col-4"><label>Enter Destination</label></div>
                <div class="col-8">

                  <input placeholder="Enter Destination" autocorrect="off" autocapitalize="off" spellcheck="off"
                    type="text" class="form-control" #search [formControl]="searchControl">
                  <input type="submit" name="" hidden>
                </div>
                <div class="col-8">
                
                  <span class="col-8 help-block bottom fs12 text-left t-red"
                    *ngFor="let validation of errors.searchControl">
                    <span
                      *ngIf="searchControl.hasError(validation.type) && (searchControl.dirty || searchControl.touched)">
                      {{validation.message}}
                    </span>
                  </span>
                </div>
              </div>
            </div>
          </div> -->
          <div class="time-rows" *ngIf="!offsiteLockAttendanceTracking" >
            <h4>Duration</h4>
            <div class="row">
              <div class="col">
                <agm-map [latitude]="lat" [longitude]="lng" style="border:0" allowfullscreen [scrollwheel]="false"
                  [zoom]="zoom">
                  <agm-marker [latitude]="lat" [longitude]="lng"></agm-marker>
                  <!-- [label]="'M'" -->
                </agm-map>
                <br />
              </div>

              <div class="col">
                <h5> {{today | date:'fullDate'}} </h5>
                <!-- <h5>Friday</h5> -->
              </div>
            </div>
          </div>

          <div class="time-rows" *ngIf="!isCheckIn && !offsiteLockAttendanceTracking">
            <div class="row">
              <div class="col">
                <h4>Check In Time </h4>
              </div>
              <div class="col">
                <div class="timer-block">
                  <ul>
                    <li>
                      <input type="text" readonly placeholder="{{time | async | date:'HH' }}"><span>hours</span>
                    </li>
                    <li>
                      <input type="text" readonly placeholder="{{time | async | date:'mm' }}"><span>minutes</span>
                    </li>
                  </ul>
                  <button class="btn" (click)="candidateOffsiteCheckIn()" *ngIf="!isLoading"
                    [disabled]="!lat && !lng">Check In</button>
                  <button class="btn" *ngIf="isLoading" disabled>Loading ...</button>
                </div>
              </div>
            </div>
          </div>

          <div class="time-rows" *ngIf="isCheckIn && !offsiteLockAttendanceTracking">
            <div class="row">
              <div class="col">
                <h4>Check Out Time</h4>
              </div>
              <div class="col">
                <div class="timer-block">
                  <ul>
                    <li>
                      <input type="text" readonly placeholder="{{time | async | date:'HH' }}"><span>hours</span>
                    </li>
                    <li>
                      <input type="text" readonly placeholder="{{time | async | date:'mm' }}"><span>minutes</span>
                    </li>
                  </ul>
                  <!-- [disabled]="!lat && !lng" -->
                  <button class="btn" (click)="candidateOffsiteCheckOut()" *ngIf="!isLoading">Check Out</button>
                  <button class="btn" *ngIf="isLoading" disabled>Loading ...</button>

                </div>
              </div>
            </div>
          </div>

        </div>
      </div>
    </div>
  </div>
</div>

<ng-template #informationPopUp>
  <div class="modal-header">
    <h4 class="modal-title "> Information </h4>
  </div>
  <div class="modal-body">
    <h3>{{informationMessage}} </h3>
    <div class="btn-set">
      <a href="javascript:void(0);" (click)="modalRef.hide()" class="btn border" style="margin:5px">Close</a>
    </div>
  </div>
</ng-template>

<ng-template #informationPopUps>
  <div class="modal-header">
    <h4 class="modal-title "> Information </h4>
  </div>
  <div class="modal-body">
    <h3>  Do you want to check in? </h3>
    <div class="btn-set">
      <a href="javascript:void(0);" (click)="checkinfun()" class="btn border" style="margin:5px">Yes</a>

      <a href="javascript:void(0);" (click)="modalRef.hide()" class="btn border" style="margin:5px">No</a>
    </div>
  </div>
</ng-template>